org.apache.tomcat.util.net

## Interface NioEndpoint.Handler

- All Superinterfaces:
    AbstractEndpoint.Handler
  All Known Implementing Classes:
    AjpNioProtocol.AjpConnectionHandler, Http11NioProtocol.Http11ConnectionHandler
  Enclosing class:
    NioEndpoint

      public static interface NioEndpoint.Handler
      extends AbstractEndpoint.Handler

  Bare bones interface used for socket processing. Per thread data is to be stored in the ThreadWithAttributes extra folders, or alternately in thread local fields.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

      `AbstractEndpoint.Handler.SocketState`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLImplementation` | `getSslImplementation()`
    `AbstractEndpoint.Handler.SocketState` | `process(SocketWrapper<NioChannel> socket, SocketStatus status)`
    `void` | `release(SocketChannel socket)`
    `void` | `release(SocketWrapper<NioChannel> socket)`

    - ### Methods inherited from interface org.apache.tomcat.util.net.AbstractEndpoint.Handler

      `getGlobal, recycle`

- - ### Method Detail

    - #### process

          AbstractEndpoint.Handler.SocketState process(SocketWrapper<NioChannel> socket,
                                                     SocketStatus status)

    - #### release

          void release(SocketWrapper<NioChannel> socket)

    - #### release

          void release(SocketChannel socket)

    - #### getSslImplementation

          SSLImplementation getSslImplementation()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.